Subject: Re: [Mip4] [Issue 21] MN-AAA extension not considered in FA to HA forwarding rules

From: Henrik Levkowetz <[email-masked]>
Date: Mon, 2 Feb 2004 19:05:20 +0100

Hi,

> ... On Wednesday, 28 Jan 2004, Charles E. Perkins wrote:
> 
> The problem with this text results from the
> previous change to Mobile IP whereby registrations
> can be authorized by including alternative
> "authorization-enabling" extensions, for instance
> the "MN-AAA Authentication" extension.  I fixed
> this by rewording the bullet item as suggested at
> the working group meeting.
> 
> OLD:
>       -  It MUST process and remove any Extensions following the
>          Mobile-Home Authentication Extension,
> NEW:
>       -  It MUST process and remove any Extensions which do not  
>          precede any authorization-enabling extension.
> 
> I _think_ this also takes care of the case where a
> foreign agent doesn't recognize the authorization-enabling
> extension.  Perhaps we should designate new Extension
> with subtypes that would take care of all future
> authentication-enabling extensions.  That would be
> the clearest resolution of this problem.

I think the proposed text actually also implies that the
last authorization-enabling extension should be processed
and removed, which isn't what we want, I guess.  What about

"      -  It MUST process and remove any Extensions following the
          last authorization-enabling extension."

or maybe

"      -  It MUST process and remove any Extensions which are
	  not covered by any authorization-enabling extension."

	Regards,
		Henrik